Ext.define('NestedMVC.controller.PageControl', {
	extend: 'Ext.app.Controller',
	
	requires: ['NestedMVC.view.Window'],
	stores: ['Authors', 'Books', 'NestAuthors'],
	
	init: function()
	{
		var me = this;
	    this.control({
	    	'#authorButton': {
	    		click: me.showAuthor
	    	},
	    	'#bookButton': {
	    		click: me.showBook
	    	},
	    	'#nestauthorButton': {
	    		click: me.showNested
	    	}
	    });
	},
	
	onLaunch: function()
	{
	}, 
	
	showBook: function()
	{
		var me = this, 
			html = '';
		
		this.getBooksStore().load({callback: function(){
			this.getBooksStore().each(function(Book){
				html += '<p>';
				html += 'ID: '+Book.get('ID')+'<br/>';
				html += 'TITLE: '+Book.get('TITLE');
				html += '</p>';
			}, this);
			
			Ext.create('NestedMVC.view.Window', {
		        title: 'Books',
	            html: html
		    }).show();
		}, scope: this});
	}, 
	
	showAuthor: function()
	{
		var me = this, 
			html = '';
	
		this.getAuthorsStore().load({callback: function(){
			this.getAuthorsStore().each(function(Author){
				html += '<p>';
				html += 'ID: '+Author.get('ID')+'<br/>';
				html += 'NAME: '+Author.get('NAME');
				html += '</p>';
			}, this);
			
			Ext.create('NestedMVC.view.Window', {
		        title: 'Authors',
	            html: html
		    }).show();
		}, scope: this});
	}, 
	
	showNested: function()
	{
		var me = this, 
			html = '';
	
		this.getNestAuthorsStore().load({callback: function(){
			this.getNestAuthorsStore().each(function(Author){
				html += '<p>';
				html += 'ID: '+Author.get('ID')+'<br/>';
				html += 'NAME: '+Author.get('NAME')+'<br/>';
				
				html += 'Books: '+'<br/>';
				html += '<ul>';
				
				Author.books().each(function(Book){
					html += '<li>TITLE: '+Book.get('TITLE')+'</li>';
				}, this);
				
				html += '</ul>';
				html += '</p>';
			}, this);
			
			Ext.create('NestedMVC.view.Window', {
		        title: 'Authors & Books',
	            html: html
		    }).show();
		}, scope: this});
	}
	
});